video
from0.0632 / s
Kling O1 (Omni)
Generates and edits videos using image or video references and controls for start and end frames.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/omni/first-last-frame", { input: { "mode": "pro", "prompt": "A cinematic scene at sunset", "duration": 5, "aspect_ratio": "16:9", "first_frame_url": "https://example.com/input.jpg" }, withPolling: true, },); console.log(result);Calling the API
Use kling-video/omni/first-last-frame with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/omni/first-last-frame", { input: { "mode": "pro", "prompt": "A cinematic scene at sunset", "duration": 5, "aspect_ratio": "16:9", "first_frame_url": "https://example.com/input.jpg" }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"description": "Write your prompt here"
}modestring · optional
mode
Options: std, pro
Default: "pro"
{
"enum": [
"std",
"pro"
],
"type": "string",
"default": "pro"
}durationinteger · optional
Duration
Options: 5, 10
Default: 5
{
"enum": [
5,
10
],
"type": "integer",
"title": "Duration",
"default": 5
}aspect_ratiostring · optional
aspect ratio
Options: 16:9, 9:16, 1:1
Default: "16:9"
{
"enum": [
"16:9",
"9:16",
"1:1"
],
"type": "string",
"default": "16:9"
}last_frame_urlstring · optional
Last frame URL
{
"type": "string",
"title": "Last frame URL",
"format": "uri"
}first_frame_urlstring · required
First frame URL
{
"type": "string",
"title": "First frame URL",
"format": "uri"
}Price
Standard self-serve rates in USD per video second: 720p: $0.0632; 1080p: $0.0837. Total price = selected rate × output duration in seconds. For explicit multi-shot requests, output duration is the sum of the shot durations.
View all pricing